import { Canvas } from "@react-three/fiber";
import { OrbitControls, Sky } from "@react-three/drei";
import * as THREE from "three";
import { useEffect, useRef } from "react";
import Ocean from "../components/3d/Ocean";




export default function GamePage() {
    return (
        <div id="canvas-container">
            <Canvas>
                <mesh position={[0, 0, 0]} scale={[1, 1, 1]}>
                    <boxGeometry args={[1, 1, 1]} />
                    <meshStandardMaterial />
                    <ambientLight intensity={0.5} />
                    <directionalLight color="red" position={[5, 5, 5]} />
                    <Sky sunPosition={[100, 10, 100]} />
                    
                    
                </mesh>

                <OrbitControls />
                <Ocean />
            </Canvas>
        </div>
    )
}